using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	/// <summary>
	/// 文件
	/// </summary>
	[IgnoreT4] public class T_PF_FILE : MesEntityBase
	{
		public T_PF_FILE()
		{
			this.IS_TEMPORARY_FILE = false;
		}
		[Description("文件名称")]
		public string FILE_NAME { get; set; }

		[Description("文件类型")]
		public string FILE_TYPE { get; set; }

		[Description("文件数据")]
		public byte[] FILE_DATA { get; set; }

        [Description("文件路径")]
        public string FILE_PATH { get; set; }

		[Description("是否临时文件")]
		public bool? IS_TEMPORARY_FILE { get; set; }


		public virtual List<T_PF_IMG_FILE> Nav_ImgFiles { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }

	}
}
